Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class MeetingStatus

    java.lang.Object
      com.compoze.exchange.MeetingStatus

All Implemented Interfaces:
  java.io.Serializable

public class MeetingStatus
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'meeting status'. The internationalizable string values are stored in the `exchange_resources.properties` file (accessed through `ExchangeProperties`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static MeetingStatus` | `MEETING` This value represents a 'meeting' meeting status.
`static MeetingStatus` | `MEETING_CANCELED` This value represents a 'meeting canceled' meeting status.
`static MeetingStatus` | `MEETING_CANCELED_NO_RESPONSE` This value represents a 'meeting canceled no response' meeting status.
`static MeetingStatus` | `MEETING_RECEIVED` This value represents a 'meeting received' meeting status.
`static MeetingStatus` | `NON_MEETING` This value represents a 'non-meeting' meeting status.
`static int` | `STORE_VALUE_MEETING` This value represents the 'meeting' store value.
`static int` | `STORE_VALUE_MEETING_CANCELED` This value represents the 'meeting received' store value.
`static int` | `STORE_VALUE_MEETING_CANCELED_NO_RESPONSE` This value represents the 'meeting canceled no response' store value.
`static int` | `STORE_VALUE_MEETING_RECEIVED` This value represents the 'meeting received' store value.
`static int` | `STORE_VALUE_NON_MEETING` This value represents the 'non-meeting' store value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static MeetingStatus` | `get(int iStoreValue)` Gets the meeting status by its store value.
`static java.util.List` | `getList()` Gets the list of meeting status levels.
`java.lang.String` | `getName()` Gets the name of the meeting status using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the meeting status using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the meeting status in the storage system.
`java.lang.Object` | `getStoreValueObject()` Gets the store value as an object.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE_VALUE_NON_MEETING

    public static final int STORE_VALUE_NON_MEETING

  This value represents the 'non-meeting' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_MEETING

    public static final int STORE_VALUE_MEETING

  This value represents the 'meeting' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_MEETING_RECEIVED

    public static final int STORE_VALUE_MEETING_RECEIVED

  This value represents the 'meeting received' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_MEETING_CANCELED

    public static final int STORE_VALUE_MEETING_CANCELED

  This value represents the 'meeting received' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_MEETING_CANCELED_NO_RESPONSE

    public static final int STORE_VALUE_MEETING_CANCELED_NO_RESPONSE

  This value represents the 'meeting canceled no response' store value.

  See Also:
    Constant Field Values

### NON_MEETING

    public static final MeetingStatus NON_MEETING

  This value represents a 'non-meeting' meeting status.

### MEETING

    public static final MeetingStatus MEETING

  This value represents a 'meeting' meeting status.

### MEETING_RECEIVED

    public static final MeetingStatus MEETING_RECEIVED

  This value represents a 'meeting received' meeting status.

### MEETING_CANCELED

    public static final MeetingStatus MEETING_CANCELED

  This value represents a 'meeting canceled' meeting status.

### MEETING_CANCELED_NO_RESPONSE

    public static final MeetingStatus MEETING_CANCELED_NO_RESPONSE

  This value represents a 'meeting canceled no response' meeting status.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the meeting status using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the meeting status using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the meeting status in the storage system.

  Returns:
    the store value

### getStoreValueObject

    public java.lang.Object getStoreValueObject()

  Gets the store value as an object.

  Returns:
    the store value

### get

    public static MeetingStatus get(int iStoreValue)

  Gets the meeting status by its store value.

  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching meeting status or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of meeting status levels.

  Returns:
    the list of `MeetingStatus`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.